# bezier_base< synfig::Vector, float > Class Template Reference

`#include <vector.h>`

List of all members.

## Public Types

typedef synfig::Vector | value_type
typedef float | time_type

## Public Member Functions

| bezier_base ()
| bezier_base (const value_type &a, const value_type &b, const value_type &c, const value_type &d, const time_type &r=0.0, const time_type &s=1.0)
void | sync ()
value_type | operator() (time_type t) const
void | evaluate (time_type t, value_type &f, value_type &df) const
void | set_rs (time_type new_r, time_type new_s)
void | set_r (time_type new_r)
void | set_s (time_type new_s)
const time_type & | get_r () const
const time_type & | get_s () const
time_type | get_dt () const
value_type & | operator[] (int i)
const value_type & | operator[] (int i) const
time_type | intersect (const bezier_base< value_type, time_type > &, time_type=0.0) const
| Bezier curve intersection function.

## Protected Attributes

affine_combo< value_type, time_type > | affine_func

### template<>
class bezier_base< synfig::Vector, float >

## Member Typedef Documentation

typedef synfig::Vector bezier_base< synfig::Vector, float >::value_type

typedef float bezier_base< synfig::Vector, float >::time_type

## Constructor & Destructor Documentation

bezier_base< synfig::Vector, float >::bezier_base | ( |  | ) | `[inline]`

bezier_base< synfig::Vector, float >::bezier_base | ( | const value_type & | a,
|  | const value_type & | b,
|  | const value_type & | c,
|  | const value_type & | d,
|  | const time_type & | r = `0.0`,
|  | const time_type & | s = `1.0` |
| ) |  |  | `[inline]`

## Member Function Documentation

void bezier_base< synfig::Vector, float >::sync | ( |  | ) | `[inline]`

value_type bezier_base< synfig::Vector, float >::operator() | ( | time_type | t | ) | const`[inline]`

void bezier_base< synfig::Vector, float >::evaluate | ( | time_type | t,
|  | value_type & | f,
|  | value_type & | df |
| ) |  |  | const`[inline]`

void bezier_base< synfig::Vector, float >::set_rs | ( | time_type | new_r,
|  | time_type | new_s |
| ) |  |  | `[inline]`

void bezier_base< synfig::Vector, float >::set_r | ( | time_type | new_r | ) | `[inline]`

void bezier_base< synfig::Vector, float >::set_s | ( | time_type | new_s | ) | `[inline]`

const time_type& bezier_base< synfig::Vector, float >::get_r | ( |  | ) | const`[inline]`

const time_type& bezier_base< synfig::Vector, float >::get_s | ( |  | ) | const`[inline]`

time_type bezier_base< synfig::Vector, float >::get_dt | ( |  | ) | const`[inline]`

value_type& bezier_base< synfig::Vector, float >::operator[] | ( | int | i | ) | `[inline]`

const value_type& bezier_base< synfig::Vector, float >::operator[] | ( | int | i | ) | const`[inline]`

time_type bezier_base< synfig::Vector, float >::intersect | ( | const bezier_base< value_type, time_type > & | ,
|  | time_type | = `0.0` |
| ) |  |  | const`[inline]`

Bezier curve intersection function.

## Member Data Documentation

affine_combo<value_type,time_type> bezier_base< synfig::Vector, float >::affine_func `[protected]`

The documentation for this class was generated from the following file:

- vector.h